searchData={"items":[{"type":"module","title":"MakeupCSS.Lexer","doc":"","ref":"MakeupCSS.Lexer.html"},{"type":"function","title":"MakeupCSS.Lexer.root/2","doc":"Parses the given `binary` as root.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"MakeupCSS.Lexer.html#root/2"},{"type":"function","title":"Options - MakeupCSS.Lexer.root/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"MakeupCSS.Lexer.html#root/2-options"},{"type":"function","title":"MakeupCSS.Lexer.root_element/2","doc":"Parses the given `binary` as root_element.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root_element (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"MakeupCSS.Lexer.html#root_element/2"},{"type":"function","title":"Options - MakeupCSS.Lexer.root_element/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"MakeupCSS.Lexer.html#root_element/2-options"},{"type":"extras","title":"README","doc":"","ref":"readme.html"},{"type":"extras","title":"Readme - README","doc":"A Makeup lexer for CSS","ref":"readme.html#readme"},{"type":"extras","title":"Installation - README","doc":"The package can be installed by adding `makeup` and `makeup_css` in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:makeup, \"x.y.z\"},\n    {:makeup_css, \"x.y.z\"}\n  ]\nend\n```\n\nDocumentation can be found at https://hexdocs.pm/makeup_css.","ref":"readme.html#installation"},{"type":"extras","title":"Changes - README","doc":"Refer to the [Changelog](CHANGELOG.md).","ref":"readme.html#changes"},{"type":"extras","title":"Quickstart - README","doc":"Adding the library will make the lexer application for CSS start automatically. At that point, you can call \n\n```elixir\nMakeup.highlight(\"\"\"\n.someClass {\n  color: red;\n}\n\n#idSelector {\n  background: none;\n}\n\n/* etc. */\n\"\"\")\n```\n\nTo get the stylesheet, just \n\n```elixir\nMakeup.stylesheet(style) # by default, the StyleMap.default style is used.\n```\n\nBasically, use makeup as normal, but you can pass in CSS now.\n\nIt works in hexdocs to: \n\n```css\n.someClass {\n  color: red;\n}\n\n#idSelector {\n  background: none;\n}\n\n/* etc. */\n```","ref":"readme.html#quickstart"},{"type":"extras","title":"Usage with NimblePublisher - README","doc":"If you have a NimblePublisher-powered blog, you just have to tweak your markdown parsing settings:\n\n```elixir\nuse NimblePublisher\n  build: MyApp.Blog.Post,\n  from: Application.app_dir(:my_app, \"priv/blog/**/*.md\"),\n  as: :posts,\n  # ts and css added\n  highlighters: [:makeup_elixir, :makeup_ts, :makeup_css]\n```\n\nNow, any code block declared as containing CSS should be highlighted.","ref":"readme.html#usage-with-nimblepublisher"},{"type":"extras","title":"Current state - README","doc":"This is very much a work-in-progress, but it higlights your CSS in a useful way. It may or may not support SCSS in the future.\n\nContributions are welcome.","ref":"readme.html#current-state"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.2.3 - Changelog","doc":"[FIX] Higlighting of id, class and pseudoselectors containing dashes","ref":"changelog.html#0-2-3"},{"type":"extras","title":"0.2.2 - Changelog","doc":"[DOCS] Add readme and basic docs","ref":"changelog.html#0-2-2"},{"type":"extras","title":"0.2.1 - Changelog","doc":"[FIX] Fix docs","ref":"changelog.html#0-2-1"},{"type":"extras","title":"0.2.0 - Changelog","doc":"Initial release","ref":"changelog.html#0-2-0"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2024 Nikola Begedin\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}